
// Earth.java
// Andrew Davison, ad@fivedots.coe.psu.ac.th, October 2021


import org.jogamp.java3d.*;
import org.jogamp.vecmath.*;
import org.jogamp.java3d.utils.geometry.*;


public class Earth 
{

  public static void main(String[] args) 
  /*
      bg --> rotTG --> sphere
  */
  { Simple3D j3d = new Simple3D("The Rotating Earth");

    // a textured sphere
    Sphere sphere = Simple3D.texSphere(0.4f, "images/earth1.jpg");

    // rotating with a period of 4000ms
    TransformGroup rotTG = Simple3D.orbit(sphere, 4000);

    BranchGroup bg = Simple3D.createBG(rotTG);
    j3d.rootBG.addChild(bg);
  }  // end of main()


}  // end of Earth class
