
// StartShapes.java
// Andrew Davison, ad@fivedots.coe.psu.ac.th, October 2021

/* Creating primitive shapes, and the letter "R".
*/

import org.jogamp.java3d.*;
import org.jogamp.vecmath.*;
import org.jogamp.java3d.utils.geometry.*;


public class StartShapes
{
  public static void main(String[] args)
  {
    Simple3D j3d = new Simple3D("StartShapes", false, true);

    Box shp = new Box(0.5f, 0.5f, 1.0f, Simple3D.color("red"));
    // Sphere shp = new Sphere(0.5f, Simple3D.color("green"));
    // Cone shp = new Cone(0.5f, 1f, Simple3D.color("blue"));
    // Cylinder shp = new Cylinder(0.5f, 1f, Simple3D.color("yellow"));
    // BranchGroup shp = Simple3D.text3D("R", "purple");

    // add to the universe
    j3d.rootBG.addChild( Simple3D.createBG(shp));
  }  // end of main()

}  // end of StartShapes class
