
/*
  	Behavior_Info.java

  	Project:		Java3dTree
  	Client:		Java 3D Community

  	Project Information:
  		dselman@tornadolabs.com
  		http://www.tornadolabs.com

  	@author Daniel Selman: dselman@tornadolabs.com
*/

package com.tornadolabs.j3dtree;

import org.jogamp.java3d.*;


public class Behavior_Info extends Leaf_Info
{
  public Behavior_Info()
  { }


  public java.util.Iterator getChildren(Object obj)
  {
    Behavior beh = (Behavior) obj;
    java.util.Vector v = new java.util.Vector();
    if(beh.getSchedulingBoundingLeaf() != null)
      v.addElement(beh.getSchedulingBoundingLeaf());
    return combine(v, super.getChildren(obj));
  } /* getChildren */


  public int[] getCapabilityBits()
  {
    return super.getCapabilityBits();
  }


  public String getInfo(Object obj)
  {
    Behavior behavior = (Behavior) obj;

    String szText = super.getInfo(obj);
    szText = insertSectionBreak(szText);

    // szText += "Behavior\r\n";
    szText += "Enable: " + behavior.getEnable() + "\r\n";
    szText += "Scheduling Bounds: " + behavior.getSchedulingBounds() + "\r\n";

    return szText;
  } /* getInfo */


}