
/*
  	TransformGroup_Info.java

  	Project:		Java3dTree
  	Client:		Java 3D Community

  	Project Information:
  		dselman@tornadolabs.com
  		http://www.tornadolabs.com

  	@author Daniel Selman: dselman@tornadolabs.com
*/

package com.tornadolabs.j3dtree;

import org.jogamp.java3d.*;


public class TransformGroup_Info extends Group_Info
{
  private static final int[] capabilities = {
    TransformGroup.ALLOW_TRANSFORM_READ
  };

  public TransformGroup_Info()
  { }


  public int[] getCapabilityBits()
  {
    return combineArray(capabilities, super.getCapabilityBits());
  }


  public java.util.Iterator getChildren(Object obj)
  {
    Transform3D t3d = new Transform3D();
    TransformGroup tg = (TransformGroup) obj;
    tg.getTransform(t3d);

    return combine(super.getChildren(obj), t3d);
  } /* getChildren */


  public String getInfo(Object obj)
  {
    String szText = super.getInfo(obj);

    szText = insertSectionBreak(szText);
    szText += "TransformGroup\r\n";

    return szText;
  } /* getInfo */


}