
// PosHome.java
// Andrew Davison, ad@fivedots.coe.psu.ac.th, November 2021

/* Load and position the home model without/with its 'zero' 
   configuration file.
*/

import org.jogamp.java3d.*;
import org.jogamp.vecmath.*;


public class PosHome 
{

  public static void main(String[] args)
  {
    Simple3D j3d = new Simple3D("Position Home", true, true);

    BranchGroup modelBG = Simple3D.loadBasicModel("models/house/home.obj");
/*
    TransformGroup rot1TG = Simple3D.rotX(-90);  // ccw around x-axis
    rot1TG.addChild(modelBG);   // rot1TG --> "home"

    TransformGroup scale1TG = Simple3D.scale(1.5);
    scale1TG.addChild(rot1TG);   // scale1TG --> rot1TG --> "home"

    TransformGroup pos1TG = Simple3D.setTranslation(0,1.05,0);  
               // up the y axis
    pos1TG.addChild(scale1TG);   // pos1TG --> scale1TG --> rot1TG --> "home"

    j3d.rootBG.addChild( Simple3D.createBG(pos1TG));
*/

    // BranchGroup modelBG = Simple3D.loadModel("models/house/home.obj");
    j3d.rootBG.addChild( modelBG );

  }


} // end of class PosHome
