
// UseTetra.java
// Andrew Davison, ad@fivedots.coe.psu.ac.th, November 2021

/*
  
*/

import java.io.*;
import java.util.*;

import org.jogamp.java3d.*;
// import org.jogamp.vecmath.*;
//import org.jogamp.java3d.utils.geometry.*;


public class UseTetra
{

  public static void main(String[] args)
  {  
    Simple3D j3d = new Simple3D("Use Tetra", true, true);

    Shape3D tet1 = Simple3D.tetra(1, 1.5, 2, "blue"); 
                                  // width, height, length

    Shape3D tet2 = Simple3D.texTetra(1, 4, 1, "images/marble.jpg");
    TransformGroup pos2 = Simple3D.setTranslation(3, 0, 0);
    pos2.addChild(tet2);

    BranchGroup sceneBG = new BranchGroup();
    sceneBG.addChild(tet1); 
    sceneBG.addChild(pos2);  

    j3d.rootBG.addChild(sceneBG);
  }  // end of main()


}  // end of UseTetra class
