
// TimeUpdater.java
// Andrew Davison, ad@fivedots.coe.psu.ac.th, November 2021

/* Interface used in conjunction with the TimeBehavior class.
   The object implementing tick() is called when the TimeBehavior
   processStimulus() method is activated every delay ms.
*/


interface TimeUpdater
{
  public void tick(int delay);
}