
/*
  	Link_Info.java

  	Project:		Java3dTree
  	Client:		Java 3D Community

  	Project Information:
  		dselman@tornadolabs.com
  		http://www.tornadolabs.com

  	@author Daniel Selman: dselman@tornadolabs.com
*/

package com.tornadolabs.j3dtree;

import org.jogamp.java3d.*;


public class Link_Info extends Leaf_Info
{
  private static final int[]    capabilities = {
    Link.ALLOW_SHARED_GROUP_READ
  };

  public Link_Info()
  { }


  public int[] getCapabilityBits()
  {
    return combineArray(capabilities, super.getCapabilityBits());
  }


  public java.util.Iterator getChildren(Object obj)
  {
    Link link = (Link) obj;
    return combine(super.getChildren(obj),
                                      link.getSharedGroup());
  }


  public String getInfo(Object obj)
  {
    Link link = (Link) obj;

    String szText = super.getInfo(obj);
    szText = insertSectionBreak(szText);

    // szText += "Link\r\n";

    return szText;
  } /* getInfo */


}